%define upstream_name    Text-VimColor
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
BuildArch:  noarch

Summary:    Syntax color text in HTML or XML using Vim
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Path::Class) >= 0.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Term::ANSIColor) >= 1.30.0
BuildRequires: perl(Test::File::ShareDir::Dist)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: vim-enhanced
Requires:   vim-enhanced
%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colourful source code
samples. It can produce output in the following formats:

* HTML

  Valid XHTML 1.0, with the exact colouring and style left to a CSS
  stylesheet

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

# "make test" passes as a normal user, but fails on the build system for
# some reason, so disabling for the time being.
# %%check
# LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 %%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/text-vimcolor
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.290.0-4.mga10
+ Revision: 2211812
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.290.0-3.mga9
+ Revision: 1830287
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.290.0-2.mga8
+ Revision: 1520655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Dec 03 2018 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1337976
- update to 0.29

* Thu Sep 20 2018 umeabot <umeabot> 0.280.0-3.mga7
+ Revision: 1286989
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.280.0-2.mga7
+ Revision: 1167071
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.280.0-1.mga7
+ Revision: 1159429
- update to 0.28

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-5.mga6
+ Revision: 1035179
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.260.0-4.mga6
+ Revision: 971507
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild with fixed vim

* Thu Oct 15 2015 tv <tv> 0.260.0-2.mga6
+ Revision: 891798
- make it noarch thus fixing empty debuginfo

* Thu Jun 25 2015 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 843675
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 749945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 686664
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.240.0-1.mga5
+ Revision: 615024
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 528812
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 shlomif <shlomif> 0.230.0-1.mga4
+ Revision: 447598
- Disable check to make the build on the Build-system succeed
- Fix locale problem
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 374248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 315896
- update to 0.22

* Fri Sep 07 2012 shlomif <shlomif> 0.210.0-1.mga3
+ Revision: 289256
- update to 0.21

* Thu Aug 16 2012 shlomif <shlomif> 0.200.0-1.mga3
+ Revision: 281558
- update to 0.20

* Sat Jul 28 2012 shlomif <shlomif> 0.180.0-1.mga3
+ Revision: 275519
- update to 0.18

* Tue Jun 05 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 255537
- update to 0.17

* Fri Dec 23 2011 shlomif <shlomif> 0.140.0-1.mga2
+ Revision: 186647
- Add the File::ShareDir BR
- New version - 0.14
- imported package perl-Text-VimColor


* Thu Nov 26 2009 cpan2dist 0.11-1mdv
- initial mdv release, generated with cpan2dist
